routes/web.php
Route::get('/', 'HomeController@index')->name('home');

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/login/facebook', 'Auth\LoginController@redirectToProvider');

Route::get('/facebook/callback', 'Auth\LoginController@handleProviderCallback');

Route::get('/rides/search', 'RidesController@search')->name('rides.search');

Route::post('/rides/list', 'RidesController@list');

Route::get('/verifyemail/{token}', 'Auth\LoginController@verify');

Route::get('/about' , 'HomeController@about')->name('company.about');

Route::get('/contact' , 'HomeController@contact')->name('company.contact');

Route::get('/faq' , 'HomeController@faq')->name('company.faq');

Route::get('/privacy' , 'HomeController@privacy')->name('company.privacy');

Route::get('/code-of-conduct' , 'HomeController@codeofconduct')->name('company.code-of-conduct');

Route::get('/terms-of-use' , 'HomeController@terms')->name('company.terms');

Route::get('/press' , 'HomeController@press')->name('company.press');

Route::get('/opportunities' , 'HomeController@opportunities')->name('company.opportunities');

Route::post('/contact', 'HomeController@contact_update')->name('company.contact_update');

Route::get('/send_report', 'HomeController@send_report')->name('error.send_report');

Route::post('/post_report', 'HomeController@post_report')->name('error.post_report');

Route::get('/feedback', 'HomeController@feedback')->name('company.feedback');

Route::post('/post_feedback', 'HomeController@post_feedback')->name('company.post_feedback');

Route::get('/howtoridesurf', 'HomeController@howtoridesurf')->name('company.howtoridesurf');

Route::get('/homebass', 'HomeController@homebass')->name('search.homebass');

Route::get('/synapse', 'HomeController@searchSynapse')->name('search.synapse');

Route::post('/synapse/getRides', 'HomeController@searchSynapseRides');

Route::get('/homebass/filter', 'HomeController@searchHomeBase')->name('search.filterHomeBass');

Route::get('/synapse/filter', 'HomeController@searchSynapse')->name('search.filtersynapse');

Route::get('/rides/getAirports', 'RidesController@getAirports');

Route::post('/rides/searchAirport', 'RidesController@searchAirport');


/*=============================== Promotions ===============================*/
Route::get('/tailgate', 'LandingPageController@tailgatePage')->name('promotions.tailgate');


/*=============================== IONIC REST API JSON ===============================*/




/* ========== Auth ========== */
Route::group(['middleware' => ['auth']], function() {
    
    Route::get('adminlogsreviewing', '\Rap2hpoutre\LaravelLogViewer\LogViewerController@index');

    Route::resource('drivers','DriverController');

    Route::group(['prefix' => 'locations'], function () {
        Route::resource('locations', 'LocationController');
        Route::post('/fetch' , 'LocationController@fetch')->name('locations.fetch');
    });

    Route::group(['prefix' => 'connections'], function () {
        Route::resource('connections','ConnectionsController');
        Route::post('/fetch' , 'ConnectionsController@fetch')->name('connections.fetch');
    });



    Route::group(['prefix' => 'rides'], function () {
        Route::resource('rides','RidesController');
        Route::post('/destroy/{id}', 'RidesController@destroy');
        Route::get('/getCurrentRides', 'DashboardUserController@getCurrentRides');
        Route::get('/getPastRides', 'DashboardUserController@getPastRides');
        Route::post('/fetch' , 'RidesController@fetch')->name('rides.fetch');
        Route::post('/createRideForm', 'RidesController@createRideForm')->name('rides.createRideForm');
        Route::post('/StoreInformation', 'RidesController@StoreInformation')->name('rides.StoreInformation');
        Route::post('/join/{id}', 'RidesController@join')->name('rides.join');
        Route::put('/storejoin/{id}', 'RidesController@storejoin')->name('rides.storejoin');
        Route::delete('/destroyUserRide/{id}', 'RidesController@destroyUserRide')->name('rides.destroyUserRide');
        Route::get('/findride', 'RidesController@findride')->name('rides.findride');
        Route::get('/payment/{id}', 'RidesController@payment')->name('rides.payment');
        Route::get('/successpayment', 'RidesController@successpayment')->name('rides.successpayment'); 
        Route::post('/request/{id}/{price}', 'RidesController@request')->name('rides.request'); 
        Route::post('/acceptPassenger/{id}/{user}', 'RidesController@acceptPassenger')->name('rides.acceptPassenger');
        Route::post('/denyPassenger/{id}/{user}', 'RidesController@denyPassenger')->name('rides.denyPassenger');
        Route::get('/viewUserProfile/{id}', 'DashboardUserController@viewUserProfile')->name('rides.viewUserProfile');
        Route::resource('open-rides', 'OpenRideController');
        Route::get('/fetchPurpose', 'OpenRideController@fetchPurposes');
        Route::get('/openRide/join/{id}', 'OpenRideController@join')->name('rides.openRides');
        Route::post('/openRide/join/{id}','OpenRideController@postJoin');
        Route::any('/openRide/destroy/{id}','OpenRideController@destroy');
        Route::post('/openRide/accept/{id}','OpenRideController@acceptPassenger')
        ->name('rides.acceptOpenRide');
        Route::post('/openRide/deny/{id}','OpenRideController@denyPassenger')->name('rides.denyOpenRide');
        Route::post('/openRide/status/{id}', 'OpenRideController@statusChange');
        Route::post('/open-rides/update/{id}', 'OpenRideController@update');
        //Airports
        Route::resource('airports', 'AirportRideController');
    });


  
    Route::resource('/ride_request', 'RideRequestController');


    Route::group(['prefix' => 'dashboarduser'], function () {

        //Fetch Information
        Route::resource('dashboarduser','DashboardUserController');
        Route::post('/fetchVehicleMake','DashboardUserController@fetchVehicleMake')
        ->name('dashboarduser.fetchVehicleMake');
        Route::post('/fetchModel','DashboardUserController@fetchModel')
        ->name('dashboarduser.fetchModel');


        Route::post('/uploadProfileImage','DashboardUserController@uploadProfileImage')
        ->name('dashboarduser.uploadProfileImage');
        Route::post('/fetchType','DashboardUserController@fetchType')
        ->name('dashboarduser.fetchType');
        Route::post('/fetchColor','DashboardUserController@fetchColor')
        ->name('dashboarduser.fetchColor');
        Route::get('/fetchAllData', 'DashboardUserController@fetchAllData')->name('dashboarduser.fetchAllData');
        Route::get('/booked', 'DashboardUserController@booked')->name('dashboarduser.booked');
        Route::get('/payments', 'DashboardUserController@payments')->name('dashboarduser.payments');
        Route::get('/reportRide/{id}', 'DashboardUserController@reportRide')->name('dashboarduser.reportRide');
        Route::post('/storeReport/{id}', 'DashboardUserController@storeReport')->name('dashboarduser.storeReport');
        Route::get('/message', 'DashboardUserController@message')->name('dashboarduser.message');
        Route::get('/profile', 'DashboardUserController@profile')->name('dashboarduser.profile');
        Route::get('/reviews', 'DashboardUserController@reviews')->name('dashboarduser.reviews');
        Route::resource('user-reviews', 'ReviewsController');

        Route::get('/showCancelride/{id}', 'DashboardUserController@showCancelride')
        ->name('dashboarduser.cancelUserRide');
        Route::get('/openRides', 'DashboardUserController@openRides')->name('dashboarduser.openRides');
        Route::get('/ridesCurrent', 'DashboardUserController@ridesCurrent')->name('dashboarduser.ridesCurrent');
        Route::get('/ridesPast', 'DashboardUserController@ridesPast')->name('dashboarduser.ridesPast');
        Route::get('/becomeDriver', 'DashboardUserController@becomeDriver')->name('dashboarduser.becomeDriver');
        Route::post('/createDriver', 'DashboardUserController@createDriver')->name('dashboarduser.createDriver');
        Route::post('/saveRegistration', 'DriverController@saveRegistration');
        Route::post('/saveInsurance', 'DriverController@saveInsurance');
        Route::post('/saveLicense', 'DriverController@saveLicense');
        Route::post('/saveCarImage', 'DriverController@saveCarImage');
        Route::post('/saveDriver', 'DriverController@store');
        Route::put('/updateDriver', 'DriverController@update');

        //Preferences 
        Route::resource('user_prefereces', 'UserPreferencesController');
        Route::get('/editPreferences', 'UserPreferencesController@editPreferences')
        ->name('dashboarduser.editPreferences');
        Route::any('/updatePreferences', 'UserPreferencesController@updatePreferences')
        ->name('dashboarduser.updatePreferences');

        //Verifications
        Route::get('/sendverification', 'DashboardUserController@sendVerification')
        ->name('dashboarduser.sendverification');

        //Passwords
        Route::get('/updatepassword', 'DashboardUserController@updatepassword')->name('dashboarduser.updatepassword');
        Route::get('/cardetails', 'DashboardUserController@cardetails')->name('dashboarduser.cardetails');
        Route::post('/patchpassword', 'DashboardUserController@patchpassword')
        ->name('dashboarduser.patchpassword');


    });        

    Route::group(['prefix' => 'messages'], function () {
        Route::get('/', ['as' => 'messages', 'uses' => 'MessagesController@index']);
        Route::get('create', ['as' => 'messages.create', 'uses' => 'MessagesController@create']);
        Route::get('contact/{id}', ['as' => 'messages.contact', 'uses' => 'MessagesController@contact']);
        Route::get('contactUser/{id}/{ride}', ['as' => 'messages.contactUser', 
            'uses' => 'MessagesController@contactUser']);
        Route::post('/', ['as' => 'messages.store', 'uses' => 'MessagesController@store']);

resources/views/dashboarduser/layout/menu.blade.php
@if ($message = Session::get('success'))
		<div class="alert alert-success">
		  <p>{{ $message }}</p>
		</div>
	@endif

<div class="col-md-12 no-mobile">
    <h2><i class="fa fa-tachometer"></i> Dashboard</h2>
</div>    

<div class="col-md-12 no-mobile">
	<ul class="secondary-nav">
  	<li id="dashboarduser"><a href="{{ route('dashboarduser.index') }}">Overview</a></li>
  	<li id="profile"><a href="{{ route('dashboarduser.profile') }}">Profile</a></li>
  	<li id="message"><a href="{{ route('dashboarduser.message') }}">Messages ({{$messageCount}})</a></li>
  	<li id="ridesCurrent"><a href="{{ route('dashboarduser.ridesCurrent') }}">Offered Rides</a></li>
  	<li id="booked"><a href="{{ route('dashboarduser.booked') }}">Booked Rides</a></li>
  	<li id="reviews"><a href="{{ route('dashboarduser.reviews') }}">Reviews</a></li>
  	<li id="payments"><a href="{{ route('dashboarduser.payments') }}">Payments</a></li>
	</ul>
</div>

<div class="row mobile dash-info-mobile">
  <div class="col-xs-2 dash-item">
    <a href="{{ route('dashboarduser.index') }}">
    @if(!empty($user->getRoleNames()))
          @foreach($user->getRoleNames() as $v)
              <p><i class="fa fa-tachometer"></i></p><span class="dash-box-text" >Overview</span>
          @endforeach
    @endif
    
    </a>
  </div>
  <div class="col-xs-2 dash-item">
    <a href="{{ route('dashboarduser.profile') }}">
    @if(!empty($user->getRoleNames()))
          @foreach($user->getRoleNames() as $v)
              <p><i class="fa fa-user"></i></p>
          @endforeach
    @endif
    <span class="dash-box-text" >Profile</span>
    </a>
  </div>
  <div class="col-xs-2 dash-item">
    <a href="{{ route('dashboarduser.booked') }}">
      <p class="dashmobile"><i class="fa fa-car"></i></p>
      <span class="step-text dash-box-text">Booked</span>
    </a>
  </div>
  <div class="col-xs-2 dash-item">
    <a href="{{ route('dashboarduser.ridesCurrent') }}">
      <p class="dashmobile"><i class="fa fa-road"></i></p>
      <span class="step-text dash-box-text">Offered</span>
    </a>
  </div>
  <div class="col-xs-2 dash-item">
    <a href="{{ route('dashboarduser.message') }}">
      <p class="dashmobile"><i class="fa fa-envelope-o"></i></p>
      <span class="step-text dash-box-text">Messages</span>
    </a>
  </div>
  <div class="col-xs-2 dash-item">
    <a href="{{ route('dashboarduser.payments') }}">
      <p><span class="glyphicon glyphicon-usd"></span></p>
      <span class="step-text dash-box-text">Payment</span>
    </a>
  </div>
</div>

<script type="text/javascript">
	var path = window.location.pathname;
	var page = path.split("/").pop();

	if(page != 'ridePast'){
		document.getElementById(page).classList.add('current');
	}
</script>

resources/views/dashboarduser/layout/openRide.blade.php
@foreach($openRides as $ride)
	<div class="bordered-box-2">
		<div class="row">
			<div class="col-md-2">
				<h4 class="title">Driver</h4>
					<div class="profile-pic-sm" style="text-align: center;">
						<img src="{{ $ride->user->avatar }}" 
							alt="profile_image" class="img-circle"><br />	
						<p align="center">{{ $ride->user->first_name }} {{ $ride->user->last_name }}</p>
						@include('layouts.rating', [$ride->rating, $ride->id] )
						<a href="{{ route('rides.viewUserProfile', $ride->user_id) }}"
						class="btn btn-info">View Profile</a>
					</div>
			</div>
			<div class="col-md-6">
				<h4 class="title">Open Ride Information </h4>
				<p>From: {{ $ride->location_from }}</p> 
				<p>To: {{ $ride->location_to }}</p>
				<p> Dates: </p> 
				<p> From: {{ date('j M Y', strtotime($ride->open_date_from)) }} 
					to {{ date('j M Y', strtotime($ride->open_date_to)) }} </p>
				<p>
				<p> Purpose of Trip: {{ $ride->trip_purpose }}</p>
				@foreach($ride->hours as $hour)
					<label class="badge badge-success"> {{ date("g:i a", strtotime($hour->hour)) }}</label> 
				@endforeach 
				</p> 
			</div>
			<div class="col-md-4">
				
				<h4 class="title">Actions </h4>
				<div class="row">
					<input type="checkbox"  id="active-{{ $ride->id }}" name="my-checkbox">
				</div>
				<a class="btn btn-warning" href="{{ route('open-rides.edit', $ride->id) }}">Edit</a>
				{!! Form::open(['method' => 'DELETE','route' => ['open-rides.destroy', $ride->id],'style'=>'display:inline']) !!}
	            	{!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
	        	{!! Form::close() !!}
			</div>
		</div>
	</div>	

<script type="text/javascript">


	$( document ).ready(function() {
		var active = {{ $ride->active }};
	    $("#active-{{ $ride->id }}").bootstrapSwitch({
	    	state:true,
	    });
	    

	});

</script>

@endforeach

resources/views/dashboarduser/layout/rideBooked.blade.php
<div class="bordered-box-2">
@if($userRide != null)
	<h3 class="border-bottom-gray"> Upcoming Rides </h3>
	@foreach($userRide as $join)
	<?php $date = $join->ride->dateFrom ." ".$join->ride->startHour;?>
		@if($join->status == 'Approved' && $join->booker_payment_paid == 'Yes' && 
		$date >= $now)
				
			<div class="row">
				<div class="col-md-8">
					<div class="profile-pic-sm">
						@if(count($join->ride->user->profileImages) > 0)
							<img src="{{ $join->ride->user->profileImages[0]->path }}" alt="" class="img-circle">
						@elseif($join->ride->user->avatar_original != null)
							<img src="{{ $join->ride->user->avatar_original }}" alt="" class="img-circle">
						@endif
					</div>
					<h3> Driver: {{ $join->ride->user->first_name }} </h3>
					<h4> <strong> From: </strong> {{ $join->ride->location_from }}</h4>
					<h4> <strong> To: </strong> {{ $join->ride->location_to }}</h4>
					<h4> <strong> Date: </strong> {{ date('m/d/Y', strtotime($join->ride->dateFrom)) }} </h4>
					<h4><strong>Time:</strong> {{ date("h:i a", strtotime($join->ride->startHour)) }}</h4>
				</div>
				<div class="col-md-4" id="join-buttons">
					<a class="btn btn-primary" href="{{ route('rides.show', $join->ride->id) }}">View Ride</a>
					<a class="btn btn-success" href="{{ route('messages.contact', $join->ride->id) }}">Contact Driver</a>
					<a class="btn btn-danger" href="{{ route('dashboarduser.cancelUserRide', 
					$join->ride->id) }}">Cancel Ride</a>
				</div>
			</div>
		
		@endif
	@endforeach

	@else
		
	<h3 class="border-bottom-gray">Upcoming Rides</h3>
	<div class="widget text-center">
		<p>You have no upcoming rides.</p>
	</div>
		
	@endif
</div>		

@if($userRide != null)
<div class="bordered-box-2">
	<h3 class="border-bottom-gray"> Pending Payment </h3>
	@foreach($userRide as $join)
		@if($join->status == 'Approved' && $join->booker_payment_paid == 'No' 
		&& $join->ride->dateFrom >= \Carbon\Carbon::today()->format('Y-m-d') )
			
			<div class="row">
				<div class="col-md-8">

					<div class="profile-pic-sm">
						@if(count($join->ride->user->profileImages) > 0)
							<img src="{{ $join->ride->user->profileImages[0]->path }}" alt="" class="img-circle">
						@elseif($join->ride->user->avatar_original != null)
							<img src="{{ $join->ride->user->avatar_original }}" alt="" class="img-circle">
						@endif
					</div>

					<p>{{ $join->ride->user->first_name }} </p>
					<p>{{ $join->ride->location_from }} to {{ $join->ride->location_to }}</p>
					<p> <strong> on </strong> {{ date('m/d/Y', strtotime($join->ride->dateFrom)) }} at {{date("h:i a", strtotime($join->ride->startHour)) }}.</p>
					
				</div>
				<div class="col-md-4" id="join-buttons">
					<a class="btn btn-primary" href="{{ route('rides.payment', $join->ride->id) }}">Pay Ride</a>
					<a class="btn btn-success" href="{{ route('messages.contact', $join->ride->id) }}">Contact Driver</a>
					{!! Form::open(['method' => 'DELETE','route' => ['rides.destroyUserRide', $join->ride->id],'style'=>'display:inline']) !!}
				            {!! Form::submit('Cancel Ride', ['class' => 'btn btn-danger']) !!}
				        {!! Form::close() !!}
				</div>
			</div>
		@endif
	@endforeach
</div>
@else
<div class="bordered-box-2">
	<h3 class="border-bottom-gray">Pending Payment</h3>
	<div class="widget text-center">
		<p>You have no rides pending payment.</p>
	</div>
</div>

@endif

@if($userRide != null)
<div class="bordered-box-2">
	<h3 class="border-bottom-gray">Pending Approval</h3>
	@foreach($userRide as $join)
		@if($join->status == 'Request' && $join->booker_payment_paid == 'No' 
		&& $join->ride->dateFrom >= \Carbon\Carbon::today()->format('Y-m-d'))

		
				<div class="row">
					<div class="col-md-8">
						<div class="profile-pic-sm">
						@if(count($join->ride->user->profileImages) > 0)
							<img src="{{ $join->ride->user->profileImages[0]->path }}" alt="" class="img-circle">
						@elseif($join->ride->user->avatar_original != null)
							<img src="{{ $join->ride->user->avatar_original }}" alt="" class="img-circle">
						@endif
					</div>
						<h3> Driver: {{ $join->ride->user->first_name }} </h3>
						<h4> <strong> From </strong> : {{ $join->ride->location_from }}</h4>
						<h4> <strong> To </strong> : {{ $join->ride->location_to }}</h4>
						<h4> <strong> Date </strong> : {{ date('m/d/Y', strtotime($join->ride->dateFrom)) }} </h4>
						<h4><strong>Time:</strong> {{date("h:i a", strtotime($join->ride->startHour)) }}</h4>
					</div>
					<div class="col-md-4" id="join-buttons">
						<a class="btn btn-primary" href="{{ route('rides.show', $join->ride->id) }}">View Ride</a>
						<a class="btn btn-success" href="{{ route('messages.contact', $join->ride->id) }}">Contact Driver</a>
						{!! Form::open(['method' => 'DELETE','route' => ['rides.destroyUserRide', $join->ride->id],'style'=>'display:inline']) !!}
					            {!! Form::submit('Cancel Ride', ['class' => 'btn btn-danger']) !!}
					        {!! Form::close() !!}
					</div>
				</div>	
		@endif <!-- End of Type Ride ( Request, Paid, or Not Paid) -->		
	@endforeach
</div>
			
@else
<div class="bordered-box-2">
	<h3 class="border-bottom-gray">Pending Approval</h3>
	<div class="widget text-center">
		<p>You have no pending rides.</p>
	</div>
</div>

@endif 

<div class="bordered-box-2">
	<h3 class="border-bottom-gray">Past Rides</h3>
	@if($userRide != null)
		@foreach($userRide as $join)
		    <?php $date = $join->ride->dateFrom ." ".$join->ride->startHour;?>
			@if( $date <= $now && $join->status == 'Approved' && $join->transaction_id != null)
				<div class="widget" style="height: auto">
					<div class="row">
					<div class="col-md-2">
						<div class="profile-pic-sm">
							@if(count($join->ride->user->profileImages) > 0)
								<img src="{{ $join->ride->user->profileImages[0]->path }}" alt="" class="img-circle">
							@elseif($join->ride->user->avatar_original != null)
								<img src="{{ $join->ride->user->avatar_original }}" alt="" class="img-circle">
							@endif
						</div>
					</div>
					<div class="col-md-6">
						<h4> <strong>Driver:</strong> {{ $join->ride->user->first_name }} </h4>
						<p>{{ $join->ride->location_from }} &#8594; {{ $join->ride->location_to }}</p>
						<p><strong>Date:</strong> {{ date('m/d/Y', strtotime($join->ride->dateFrom)) }} </p>
						<p><strong>Time:</strong> {{date("h:i a", strtotime($join->ride->startHour))}}</p>
					</div>
					<div class="col-md-3" id="join-buttons">
						
					
						@if($join->ride->rated == null )
						<a class="btn btn-primary" href="{{ route('reviews.rate',[$join->ride->user->id,$join->ride->id]) }}">Review Ride</a>
						@else
							<p>Thanks for reviewing</p>
						@endif
						@if(count($join->reported) == 0)
							<a class="btn btn-danger" href="{{ route('dashboarduser.reportRide',[$join->ride->id]) }}"><i class="fa fa-flag"></i> Report Problem</a>
						@else
							@if($join->reported->passenger_id != $user->id)
								<a class="btn btn-danger" href="{{ route('dashboarduser.reportRide',[$join->ride->id]) }}">
								<i class="fa fa-flag"></i> Report Problem</a>
							@endif
						@endif
					
					</div>
					</div>
				</div>
				
			@endif
		@endforeach

		@else
			<div class="widget text-center">
				<p>You have no past rides.</p>
			</div>
		@endif
</div>

resources/views/dashboarduser/layout/rideOffer.blade.php
<div class="col-md-12">
	@foreach($rides as $ride)
	<?php $today = strtotime(Carbon\Carbon::now()); 
		  $time_ride = strtotime($ride->dateFrom  ." ".$ride->startHour);
	?>
	
	<div class="row rides-list">

		<div class="col-md-2">
			<h4 class="title">Driver</h4>
				<div class="profile-pic-sm" style="text-align: center;">
					<img src="{{ $ride->user->avatar }}" 
						alt="profile_image" class="img-circle"><br />	
					<p align="center">{{ $ride->user->first_name }} {{ $ride->user->last_name }}</p>
					@include('layouts.rating', [$ride->rating, $ride->id] )
					<a href="{{ route('rides.viewUserProfile', $ride->user_id) }}"
					class="btn btn-info">View Profile</a>
				</div>
		</div>

		<div class="col-md-6">
			<h4 class="title">Trip Details</h4>

			<span class="add-id"><i class="fa fa-map-marker"></i><strong>  From:</strong> {{ $ride->location_from }} </span> <br/>
			<span class="add-id"><i class="fa fa-map-marker"></i><strong>  To:</strong> {{ $ride->location_to }} </span> <br/>
			<span class="add-id"><i class="fa fa-calendar"></i><strong>  Date:</strong> {{ date('m/d/Y', strtotime($ride->dateFrom)) }}</span><br/>
			<span class="add-in"><i class="fa fa-clock-o"></i><strong>  Time: </strong> {{date("g:i a", strtotime($ride->startHour)) }}
			</span> <br/>
			<span class="add-in no-mobile"><i class="fa fa-map-o"></i><strong>  Description: </strong> {{ $ride->description }}
			</span> <br/>
			@if($ride->ladies_only == 'Yes')
				<span class="add-in ladies-pink">
					<i class="fa fa-female"></i> <strong>WOMEN ONLY</strong> {{ $ride->ladies_only }}
				</span>
			@endif
		</div>

		
		<div class="col-md-2">
			<h4 class="title">Booking</h4>
			<div style="text-align: center;">
				<h2 class="rideprice"> ${{ $ride->price }}</h2>
				
				@if($ride->stop == true)
					<input type="text" name="isStop" value="{{ $ride->stop  }}" style="display: none;">
				@endif
			</div>
		</div>

		<div class="col-md-2 top-margin-15">

			@if($time_ride >= $today)
				
				<p>Seats Available: {{ $ride->seats_available }} </p>
				<p>Passengers: {{count($ride->user_ride)}}</p>
				<a class="btn btn-warning" href="{{ route('rides.edit',$ride->id) }}">Edit</a>
				
					{!! Form::open(['method' => 'DELETE','route' => ['rides.destroy', $ride->id],'style'=>'display:inline']) !!}
		            	{!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
		        	{!! Form::close() !!}
		        
		        @else
		        	<a class="btn btn-success" href="{{ route('rides.show',$ride->id) }}">show</a>
		        	@if(count($ride->user_ride) > 0 )
		        		<div class="wrapper" style="padding-top: 25px">
		        			<p>Seats Available: {{ $ride->seats_available }} </p>
							<p>Passengers : {{count($ride->user_ride)}}
		        		@foreach($ride->user_ride as $user_ride)
		        			@if($user_ride->driver_rate == null && $user_ride->transaction_id != null)
								@if($user_ride->user != null )
									<p> Review Passenger: {{ $user_ride->user->first_name }}</p>
									<a class="btn btn-success" href="{{ route('reviews.rate',[$user_ride->user->id,$ride->id]) }}">Review</a>
						        @else
									<p> User deleted account </p>
								@endif
		        			@elseif($user_ride->driver_rate != null)
		        				@if(count($user_ride->user))
		        					<p> Thanks for your review to {{ $user_ride->user->first_name }}
		        				@endif
		        			@else
		        				<p> No passengers </p>
		        			@endif
		        		@endforeach
		        		</div>
		        	@endif
		        @endif
		</div>
	</div>
	@endforeach
	{{ $rides->links() }}
</div>